org.apache.ignite.internal.util.typedef

## Class CA

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.typedef.CA

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public abstract class CA
    extends GridAbsClosure

Defines `alias` for `GridAbsClosure` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridAbsClosure`.

See Also:
  `GridFunc`, `GridAbsClosure`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CA()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`apply, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CA

    public CA()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022